Server status
Documentation for Server status
Read time 1 minuteLast updated a year ago
Get the status of the game server identified by .
<serverid>https://api.multiplay.co.uk/cfp/v1/server/<serverid>/status
METHOD |
GET |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
serverid | The parameter accepts a game server ID of the game server to retrieve the status of. | No |
query_info | The parameter allows you to request query information about the game server in addition to the status. If set to , the response includes query information and status. If set to or excluded, the response includes the game server status. | Yes |
Response fields
|
|
|
|
|---|---|---|---|
active | integer | Number representing activity state, expect for stopped, for started and for restarting | No |
allocated_uuid | string | UUID of the allocation this server is currently on or empty string if none | No |
admin_locked | integer | Number representing lock state, 1 indicates the server is undergoing maintenance or in a state that's currently unsuitable for a game session | No |
country_code | string | Two letter country code, country lookup available in the endpoint | No |
game_port | integer | Port the game server is available on | No |
ip | string | IP address the game server is available on | No |
locationid | string | ID of the location the game server is in | No |
machineid | integer | ID of the machine the game server is on | No |
name | string | Name of the game server, this is usually autogenerated at creation time | No |
profileid | integer | ID of the profile this server is currently on | No |
query_port | string | Port the game server should be providing query information on via a query protocol such as SQP | No |
serverid | integer | ID of the server | No |
query_info | object | Query object containing additional server info if query_info is set on the request | Yes |
Query object
All fields on the query service are returned directly from the game server's query service at the time
of the request. The game must support query for this to function.
|
|
|
|
|---|---|---|---|
players | integer | Current number of players on the server | No |
max_players | integer | Current maximum match players | No |
map | string | Current map name | No |
status | string | Current status | No |
name | string | Current name | No |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/server/<serverid>/status?query_info=<query_info>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "server: { "active: <active>, "allocated_uuid: <allocated_uuid>, "admin_locked: <admin_locked>, "country_code: <country_code>, "game_port: <game_port>, "ip: <ip>, "locationid: <locationid>, "machineid: <machineid>, "name: <name>, "profileid: <profileid>, "query_port: <query_port>, "serverid: <serverid>, "query_info: { "players: <players>, "max_players: <max_players>, "map: <map>, "status: <status> "name": <name> } }}